diff --git a/src/backend/libpq/auth.c b/src/backend/libpq/auth.c
index 9cdee2b..2d1020a 100644
--- a/src/backend/libpq/auth.c
+++ b/src/backend/libpq/auth.c
@@ -299,7 +299,8 @@ auth_failed(Port *port, int status)
 
 	ereport(FATAL,
 			(errcode(errcode_return),
-			 errmsg(errstr, port->user_name)));
+			 errmsg(errstr, port->user_name),
+			 errdetail("matched pg_hba.conf line %d", port->hba->linenumber)));
 	/* doesn't return */
 }
 